
using System.Collections.Generic;
using UnityEngine;

namespace Darkmatter.Core
{
    public interface IPool <T>
    {
        IReadOnlyCollection<T> All { get; }
        void ReturnToPool(T obj);

        T GetFromPool();
    }
}
